package cn.com.ctop.kuaishou.modules.report.mapper;

import cn.com.ctop.kuaishou.modules.report.entity.KuaishouReportDailyExplore;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 广告组加速探索报表
 *
 * @author jeecg-boot
 * 2021-08-18
 * @version V1.0
 */
public interface KuaishouReportDailyExploreMapper extends BaseMapper<KuaishouReportDailyExplore> {

    List<KuaishouReportDailyExplore> getUnitListByStudyStatus();

    List<JSONObject> getTodaylist(@Param("accountId") Long accountId, @Param("sortCode") String sortCode, @Param("sortType") String sortType);

    Long getTodaylistTotal(@Param("accountId") Long accountId);

    List<JSONObject> getHistoryList(@Param("request") JSONObject request, @Param("sortCode") String sortCode, @Param("sortType") String sortType);

    Long getHistoryListTotal(@Param("request") JSONObject request);

    List<Long> getUnitIds(@Param("accountId") Long accountId);
}
